Skip to main content
POST
/
voice
/
search
/
cross-channel
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/voice/search/cross-channel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "channels": [],
  "agentId": "<string>",
  "limit": 10,
  "threshold": 0.3
}
'
{
  "results": [
    {
      "id": "<string>",
      "content": "<string>",
      "similarity": 123,
      "createdAt": "<string>",
      "agentId": "<string>",
      "callId": "<string>",
      "speaker": "<string>",
      "startTime": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Body

application/json
query
string
required
Minimum string length: 1
channels
enum<string>[]
Available options:
email,
sms,
voice
agentId
string
limit
number
default:10
Required range: 1 <= x <= 50
threshold
number
default:0.3
Required range: 0 <= x <= 1

Response

200 - application/json

OK

results
object[]
required